umbrello 2.39.2 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Topics
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Namespaces | Enumerations | Functions
optionstate.h File Reference
`#include "basictypes.h"`
`#include "codeviewerstate.h"`
`#include "codegenerationpolicy.h"`
`#include <QDomElement>`
`#include <QXmlStreamWriter>`

Go to the source code of this file.

## Classes
class | Settings::GeneralState
class | Settings::UIState
class | Settings::ClassState
class | Settings::CodeGenerationState
class | Settings::CodeGenerationState::CPPCodeGenerationState
class | Settings::CodeGenerationState::DCodeGenerationState
class | Settings::CodeGenerationState::JavaCodeGenerationState
class | Settings::CodeGenerationState::RubyCodeGenerationState
class | Settings::CodeImportState
class | Settings::AutoLayoutState
class | Settings::LayoutTypeState
class | Settings::OptionState

## Namespaces
namespace | Settings

## Enumerations
enum | Settings::Page { Settings::page_general = 0 , Settings::page_font , Settings::page_UI , Settings::page_class , Settings::page_codeimport , Settings::page_codegen , Settings::page_codeview }

## Functions
OptionState & | Settings::optionState ()
void | Settings::setOptionState (const OptionState &optstate)